<?php
$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_950c864c3fc8d7c4db561eea71d4ac" . "a9" => base64_decode("eWVhcg=" . "="), "_07e0706709a15e45" . "6d6664d499040d73" => base64_decode("Yml3ZWV" . "r"), "_0788425a89477a5f6ac1bd2ceb4" . "34967" => base64_decode("RVJST1I6O" . "iBVbmtub3" . "duIHBlcml" . "vZCAtIA=="), "_a8fa98c9" . "5a8a49693" . "9eaebfef6" . "6865b4" => base64_decode("d2Vlaw" . "=="), "_e2ecb80cd1b605a951ad84d" . "608101ac4" => base64_decode("bW9ud" . "Gg="));






class HpDateInterval
{
    
    
    
    
    
    
    protected $start_date;
    
    
    
    
    
    
    protected $end_date;
    protected $processer;
    
    
    public function SetStartDate(Date $_67a0d624aebcceb0abd5ce56a53ff06f)
    {
        $this->start_date = $_67a0d624aebcceb0abd5ce56a53ff06f;
    }
    public function SetEndDate(Date $_67a0d624aebcceb0abd5ce56a53ff06f)
    {
        $this->end_date = $_67a0d624aebcceb0abd5ce56a53ff06f;
    }
    public function SetPeriod($_68865ed7b59f5ee9253afff85b97015b)
    {
        switch ($_68865ed7b59f5ee9253afff85b97015b) {
            case $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_a8fa98c9" . "5a8a49693" . "9eaebfef6" . "6865b4"]:
                $this->processer = new HpDateIntervalWeek();
                break;
            case $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_07e0706709a15e456d6664d" . "499040d73"]:
                $this->processer = new HpDateIntervalBiWeek();
                break;
            case $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_e2ecb80cd1b605a9" . "51ad84d608101ac4"]:
                $this->processer = new HpDateIntervalMonth();
                break;
            case $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_950c864c" . "3fc8d7c4d" . "b561eea71" . "d4aca9"]:
                $this->processer = new HpDateIntervalYear();
                break;
            default:
                throw new Exception($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_0788425a89477a5f6ac1bd2ceb434" . "967"] . $_68865ed7b59f5ee9253afff85b97015b);
        }
    }
    public function GetIntervalsArray()
    {
        return $this->processer->GetIntervalsArray($this->start_date, $this->end_date);
    }
}